/*
 * \file Ifg2Spectrum.cc
 * \brief definitions (not declarations) for abstract Interferogram to Spectrum stage
 *
 * \author Maciek Smuga-Otto <maciek@ssec.wisc.edu>
 *
 * based directly on the Scanning-HIS rsh2fbf application, written by Ray Garcia <rayg@ssec.wisc.edu>
 *
 *  \version $Id: Ifg2Spectrum.cc,v 1.15 2004/10/07 15:53:33 maciek Exp $
 *
 *  \par Copyright:
 *  \verbatim
 *
 *  Copyright UW/SSEC, ALL RIGHTS RESERVED, 2004
 *  Space Science and Engineering Center
 *  University of Wisconsin - Madison, USA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *  \endverbatim
 */

#include "Ifg2Spectrum.h"

namespace Ifg2Spectrum
{
    Ports::Ports( JackIn i, JackOut o, JackConfig c): 
        inputInterferogram(i), outputSpectrum(o), config(c)
    {};
    
    Ifg2SpectrumStage::Ifg2SpectrumStage( Ports & p ): 
        ports(p) 
    { }; 

    Operator::Result Ifg2SpectrumStage::operator() ( ) 
    { 
        return Operator::UNIMPLEMENTED; 
    };

    Ifg2SpectrumStage::~Ifg2SpectrumStage(){ };

} // namespace

